digiKam 8.6.0 - Release date: 2025-03-16

*****************************************************************************************************
NEW FEATURES:

RawEngine:       Update internal Libraw to last 20250208 upstream.
Video:           Update internal QtAVPlayer to last 20250107 upstream (Qt5 only).
Bundles:         Update to last ExifTool version 13.19.
Bundles:         Linux AppImage Qt6 uses last Qt 6.8.1, KDE frameworks 6.10.0 and OPenCV 4.11.0.
Bundles:         Linux AppImage Qt5 uses last Qt 5.15.16 and OPenCV 4.11.0.
Bundles:         Windows installer Qt6 uses last Qt 6.8.1 and KDE frameworks 6.10.0.
Bundles:         Windows installer Qt5 uses last Qt 5.15.16.
Bundles:         MacOS package Qt6 uses last Qt 6.8.1 and KDE frameworks 6.10.0.
Bundles:         G'Mic-Qt BQM and Image Editor updated to last version 3.4.2.
                 Image Editor tool can now work on the current canvas selection.
Setup:           Add new GPU hardware support options for decoding video with FFmpeg backend (Qt6 only).

FaceEngine:      Complete rewrite of the Face Classifier and Face Pipeline implementations.
                 There are significannot improvements coming in 8.6.0. The pipelines have
                 been completely rewritten and are 25%-50% faster when using full CPU. The face
                 detector has also been improved to reduce false positives. There is a
                 completely new face classifier using cross-validating KNN and SVM internal
                 classifiers that increases matching accuracy even more.
                 Everything has changed between the UI and the DNN level, including the way we call the DNN models.
                 First, the pipelines have a whole new structure that allows us to dynamically scale the number of
                 worker threads based on load and the hardware.
                 Next, the way the images are loaded and converted to a format that OpenCV understands has changed.
                 8.5.0 was converting the images to BGR format and YuNet and SFace want RGB.
                 Another change is pipelines take better advantage of GPU processing. Images are moved to the GPU
                 for resizing and color format conversion. We’re also passing the GPU image to the DNN layer now so
                 DNN processing happens on the GPU via OpenCL.
                 The final big change is the face classifier which “matches” one face to another for recognition.
                 8.5.0 used a custom made K Nearest Neighbor (KNN) classifier. In 8.6.0 we’re using an ensemble approach
                 using cross validating KNN and SVM classifiers from OpenCV with a single custom distance check.
                 It’s faster and more accurate.
                 In addition, we added a Face Image Quality Assessment (FIQA) which performs a minimum size check and
                 a Fast Fourier Transform filter to stop small, blurry, and noisy faces from being used for training
                 the recognition model.
                 The only thing we’re really reusing from 8.5.0 are the YuNet and SFace models themselves.
                 Removed old SSD and YOLOv3 DNN models.

AutoTags:        The Autotags engine has been completely rewritten using the new pipelines and improvements found
                 in the FaceEngine. New classifiers and the option to adjust the Autotagging confidence threshold
                 have been added. Autotagging is now faster and more accurate using new YOLOv11, YOLOv11 XLarge,
                 and EfficientNet B7 DNN models. The older YOLOv5 and ResNet-50 models have been removed.
                 Auto-tags scan tool is now available in the Tags tab from the left sidebar.

Image Quality    The Image Quality Sorter has been renammed to Image Quality Scanner. It is now available from the
                 Labels tab on the left sidebar. The global Image Quality settings from the setup dialog have been removed.

RedEyes:         RedEye Correction Filter tool has been updated to use an AI DNN model to detect eyes.

*****************************************************************************************************
BUGFIXES:

001 --> 389046 - Face suggestions disappair each time i confirm one.
002 --> 496379 - No longer possible to have RAW files as sidecars.
003 --> 496389 - Tool to determine time difference from clock photo show different timestamp.
004 --> 496381 - Possibility to compile MacOS-x86_64 against Qt6?
005 --> 496395 - Check for New Version.
006 --> 496378 - No Scanning of Collections/Albums Happen.
007 --> 496436 - Improvement in Miscellaneous settings.
008 --> 496340 - Missing Context Menu on edit advanced search.
009 --> 496427 - After updating from 8.4.0 to 8.5.0 digiKam there is only a white screen on start-up.
010 --> 496474 - digiKam 8.5 under macOS (Apple Silicon) - problem displaying HEIC of iPhone 16 pro.
011 --> 496570 - {unique} does not take file extension into account.
012 --> 496711 - Link to documentation in People View broken.
013 --> 495722 - Assigning rating via keyboard shortcut doesn't work as expected (toggling vs assigning rating).
014 --> 496619 - Fedora 41 appimage: symbol lookup error: /usr/lib64/libgnutls.so.30.
015 --> 496771 - It is no longer possible to convert RAW images to DNG images.
016 --> 496785 - digiKam appimage does not start with symbol lookup error: undefined symbol: nettle_rsa_oaep_sha384_decrypt.
017 --> 496868 - The application only starts with a white window.
018 --> 496867 - digiKam 8.0 does not display a new album folder.
019 --> 480357 - digiKam 8.2.0 segfaults on importing collection.
020 --> 477379 - digiKam crashes on start with "failed to create drawable" / "glXCreatePbuffer failed.".
021 --> 492836 - Appimage Integration failed.
022 --> 493578 - Impossible to integrate the appimage 8.4.0 and 8.5.0 to the desktop.
023 --> 492813 - Appimage crashes when trying to integrate into KDE Neon 6.1 (Ubuntu 24.04 based).
024 --> 497037 - Error message when trying to download version 8.5.0.
025 --> 497058 - Installed digikam dumps core.
026 --> 490377 - Failed to update -- see attached screen shot.
027 --> 490378 - Check for upgrade fails to download. Files ending with .sha256.
028 --> 470342 - digiKam dont start.
029 --> 497106 - Rating from images is no longer respected.
030 --> 472138 - Request for disabling more components at compile time.
031 --> 496484 - (mov.) video playback distorted colors.
032 --> 485468 - digiKam crash with no attention when preview webm.
033 --> 497147 - Launching of v8.5 creates wrong initial screen: a copy of the desktop.
034 --> 497217 - Expand Batch Queue Manager Resize to include larger preset lengths and revise text.
035 --> 497264 - digiKam dock icon changes and becomes pixelated after running app.
036 --> 497446 - Video seek timeline/scrubber is unusable in slideshow mode.
037 --> 497508 - Data loss: metadata not saved despite enabling in 1st launch wizard.
038 --> 497640 - digiKam ARM64 pkg requires Rosetta to run the Installer.
039 --> 497476 - Create Tag from Address Book not functioning in Tags Manager on macOS.
040 --> 497642 - Edit metadata plugin don't allow you to edit metadata of the selected image from Showfoto.
041 --> 496691 - Duplicate search has become much slower on the release version of digiKam 8.5.
042 --> 493988 - digiKam crashes when trying to review some .mov files.
043 --> 497743 - Option to avoid saving thumbnails.
044 --> 497775 - Your Flatpak installation is setuid, which is not supported.
045 --> 497824 - Wrong location displayed for mp4.
046 --> 497791 - Unwanted face recognition function in preview mode when face management is disabled.
047 --> 497814 - Add Support for Configurable Output Color Profile When Editing with darktable.
048 --> 497567 - Feature Request: "No New Images for Deceased Persons".
049 --> 459499 - The possibility to disable persons.
050 --> 498005 - Provide shortcuts for videos in the slideshow.
051 --> 498025 - Excluded directory is still not excluded.
052 --> 498041 - Debian testing doesn't need libgnutls.so.30 from AppImage.
053 --> 498053 - The use of XMP metadata in custom renaming patterns does not work as expected.
054 --> 484479 - HDR video playback not supported fully on Mac.
055 --> 498072 - FlatPak: no sound when playing videos.
056 --> 498077 - digitaglinktree fails with blkid and does wrong uuid extraction [patch].
057 --> 498076 - Colors of .heic file are corrupted once a tag is assigned.
058 --> 498134 - Updating tags re-reads the image file, which is unnecessarily slow.
059 --> 498133 - Geolocation icon missing / disappeared in 8.5.0 appimage Linux.
060 --> 432760 - New items for people entries without seeing the mentioned photos.
061 --> 498234 - Rotated jxl images are displateyed without rotation.
062 --> 490848 - digiKam fails to preview animated .webp files.
063 --> 497364 - Not possible to redirect Sound output when previewing/playing video files.
064 --> 498281 - No faces detected: -215:Assertion failed) inputs[vecIdx][j] == inputs[i][j] in function 'getMemoryShapes'.
065 --> 498305 - digiKam states there is no libksane at configure phase.
066 --> 439581 - Problems under Ubuntu with digiKam as snap package.
067 --> 439587 - File Manager does not open.
068 --> 464276 - Failed to load image.
069 --> 477467 - digiKam 8.1 Image Editor could not interpret a Nikon Z9 NEF file.
070 --> 478038 - Unable to load the picture.
071 --> 498406 - Double click behavior.
072 --> 498391 - Hierarchical tags disappear.
073 --> 498514 - Trash a image in macOS will not shown in Trash.
074 --> 498519 - Build failed with mlpipelinemacros.h:53:68: error.
075 --> 498603 - Face detection feature stopped working.
076 --> 497832 - digiKam 8.5.0-Qt6 Win64 crashes on startup.
077 --> 498650 - Avif file fails to load, but loads after renaming the same file to `.heif`.
078 --> 498707 - Build failed with : dconfigdlgmodels.cpp:685:23: error: no matching function for call to ‘createIndex(int, int, const void*).
079 --> 498830 - Drag/Drop from thumbnail view to Album tree seems to be inoperative.
080 --> 498879 - Unable to load DNG image - "image cannot be loaded".
081 --> 469805 - No Subfolders in Albums from External Drives During Face Recognition, and Inefficient Rescan Process.
082 --> 498910 - In "Search in" menu for face detection/recognition only one collection/album/root directory shows subfolders.
083 --> 499074 - Created video filename on import is wrong (date/time).
084 --> 491390 - Videos not sorted into albums created by date when importing.
085 --> 498663 - digiKam exits with error message after a few seconds.
086 --> 463760 - Names are not clickable.
087 --> 499156 - YOLOv11 let digiKam crash.
088 --> 499305 - Check at startup if FaceDB needs retrained box crash digikam if apply.
089 --> 491473 - digiKam 8.4 does not start.
090 --> 499172 - Display issue of processed face recognitions when the queue is overloaded.
091 --> 498320 - Renaming a face tag fails to move over the training data.
092 --> 499361 - Possibly add exiftool "-m" parameter to.
093 --> 499301 - Facial recognition database update not working.
094 --> 475488 - In face detection, an option to suppress low quality faces as detected might improve recognition training and results.
095 --> 425263 - Blur Level on Face Detection.
096 --> 472416 - Add a new option in Face Recognition about duplication of a Confirmed Face.
097 --> 425981 - Clustering: limit face recognition by tags.
098 --> 488237 - Crash during confirming face tags.
099 --> 497151 - "QMYSQL: Unable to execute query" "Unknown column 'context' in 'FaceMatrices'" "1054" 2.
100 --> 495810 - G'Mic within Digikam Crashes when right click filter name.
101 --> 499466 - Using Exiftool to write tags corrupts the ICC Profile of the image.
102 --> 499500 - Build failed with: restorationtool.cpp:162:12: error: no matching function for call to ‘DigikamEditorRestorationToolPlugin.
103 --> 499156 - YOLOv11 let digiKam crash.
104 --> 499464 - Thumbnails Icons View shows captions incorrectly when there is a multi-line caption.
105 --> 498104 - Face Recognition fails.
106 --> 498024 - Face recognition becomes quickly useless with many faces in library.
107 --> 498113 - On Windows 10, digiKam background process remains running after app close.
108 --> 499661 - Good software but no grouping per day in miniature mode.
109 --> 432388 - Color tag - I wish more colors.
110 --> 499616 - Ability to load/unload collections and their databases (Suggestion).
111 --> 499720 - Refresh album view WITHOUT re-scanning thumbnails.
112 --> 499739 - When confirming face recommendations, clicking Enter in the name list tags current photo, plus next.
113 --> 499809 - Add possibility to batch rename files without modifying them too.
114 --> 500091 - Image Quality Sort options do not show configuration items as in v5.
115 --> 499880 - Update digiKam db from single file geotag.
116 --> 499624 - Thumbbar - Both original and v1 of image show up in thumbbar after aspect ratio crop "OK".
117 --> 500176 - Adding a new face does not work on Pixel 5 (work ok with digiKam 8.5).
118 --> 500178 - Star Rating metadata won't write to Video.
119 --> 500239 - Face tags from iPhone cannot overwriiten or deleted.
120 --> 500340 - Issue with tags using special characters UTF-8.
121 --> 500525 - Writing metadata to AVIF files.
122 --> 469408 - Tags added to videos files (mp4 or mov) in digiKam-8.0.0 are +written to file but not recognized in other software.
123 --> 500445 - digiKam "You have insufficient privileges on database.
124 --> 500881 - "Update fingerprints" taking 17 seconds / file apparently due to multiple database locks.
125 --> 500912 - Files in tmp not found.
126 --> 500140 - Couldn't adjust the deducted face area.
127 --> 500739 - Lens correction tools seems not working.
128 --> 500961 - digiKam Crash when face detection is triggered.
129 --> 476120 - Name confirmation on facial recognition crashes on PDF files.
130 --> 501021 - Small info window in fullscreen mode.
131 --> 501067 - Changing Creation Date with metadata Editor / Exif changes content of description field to Chinese characters.
132 --> 500570 - Face recognition crash.
133 --> 500834 - digiKam crashes automatically after 1m 50 s.
134 --> 492658 - digiKam crashes after adding a new collection.
135 --> 501275 - Database gets bigger when person is confirmed.
136 --> 501217 - Confirm faces - same processes in the background.
137 --> 501330 - Driver not loaded for mysql.
138 --> 501257 - People are not recognized
